using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
namespace EXT.DOMAIN.vbecs.GUI
/// <summary>
/// Class DlgSelectUnitOverride
/// </summary>
public class DlgSelectUnitOverride : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
private System.Windows.Forms.Button btnCancel;
private EXT.DOMAIN.vbecs.GUI.controls.VbecsButton btnOK;
private System.Windows.Forms.GroupBox grpComment;
private EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup cmbComment;
private System.Windows.Forms.Label dd;
private System.Windows.Forms.TextBox txtComment;
private System.Windows.Forms.Label lblDetails;
private System.Windows.Forms.GroupBox grpIcon;
private System.Windows.Forms.PictureBox picWarning;
private System.Windows.Forms.Label lblFemaleWarning;
private System.ComponentModel.IContainer components = null;
#region variables
private const string _message = "Additional information is required to process this override.  Please select a comment to confirm override.";
private string _commentText;
private Guid _cannedCommentGuid;
private System.Windows.Forms.Label lblRhWarning;
private System.Windows.Forms.Label lblWarningMessage;
private DataTable _dtCannedComments;
#endregion
#region constructors
/// <summary>
/// Constructor
/// </summary>
/// <param name="unitSelectionMessage"></param>
public DlgSelectUnitOverride(BOL.PatientUnitSelectionMessage unitSelectionMessage)
// This call is required by the Windows Form Designer.
InitializeComponent();
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC003.DlgSelectUnitOverride());
//
this.lblWarningMessage.Text = "Unit: " + unitSelectionMessage.EyeReabableUnitID + "\n" + _message;
//
PopulateListBox( Common.LogonUser.LogonUserDivisionCode );
#endregion
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
this.components = new System.ComponentModel.Container();
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DlgSelectUnitOverride));
this.btnCancel = new System.Windows.Forms.Button();
this.btnOK = new EXT.DOMAIN.vbecs.GUI.controls.VbecsButton();
this.grpComment = new System.Windows.Forms.GroupBox();
this.cmbComment = new EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup(this.components);
this.dd = new System.Windows.Forms.Label();
this.txtComment = new System.Windows.Forms.TextBox();
this.lblDetails = new System.Windows.Forms.Label();
this.lblWarningMessage = new System.Windows.Forms.Label();
this.lblFemaleWarning = new System.Windows.Forms.Label();
this.lblRhWarning = new System.Windows.Forms.Label();
this.grpIcon = new System.Windows.Forms.GroupBox();
this.picWarning = new System.Windows.Forms.PictureBox();
this.grpComment.SuspendLayout();
this.grpIcon.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.Size = new System.Drawing.Size(348, 30);
this.vbecsLogo1.TabIndex = 3;
this.vbecsLogo1.Title = "Confirm Selection";
// 
// lblRequiredField
// 
this.lblRequiredField.Location = new System.Drawing.Point(0, 221);
this.lblRequiredField.Name = "lblRequiredField";
this.lblRequiredField.TabIndex = 5;
// 
// btnCancel
// 
this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnCancel.Location = new System.Drawing.Point(268, 212);
this.btnCancel.Name = "btnCancel";
this.btnCancel.TabIndex = 3;
this.btnCancel.Text = "&Cancel";
// 
// btnOK
// 
this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
this.btnOK.EnabledButton = false;
this.btnOK.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnOK.Image = null;
this.btnOK.Location = new System.Drawing.Point(188, 212);
this.btnOK.Name = "btnOK";
this.btnOK.Size = new System.Drawing.Size(75, 23);
this.btnOK.TabIndex = 2;
// 
// grpComment
// 
this.grpComment.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpComment.Controls.Add(this.cmbComment);
this.grpComment.Controls.Add(this.dd);
this.grpComment.Controls.Add(this.txtComment);
this.grpComment.Controls.Add(this.lblDetails);
this.grpComment.Controls.Add(this.lblWarningMessage);
this.grpComment.Controls.Add(this.lblFemaleWarning);
this.grpComment.Controls.Add(this.lblRhWarning);
this.grpComment.Location = new System.Drawing.Point(60, 36);
this.grpComment.Name = "grpComment";
this.grpComment.Size = new System.Drawing.Size(284, 172);
this.grpComment.TabIndex = 0;
this.grpComment.TabStop = false;
// 
// cmbComment
// 
this.cmbComment.AccessibleDescription = "Comment";
this.cmbComment.AccessibleName = "Comment";
this.cmbComment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.cmbComment.Interval = 100;
this.cmbComment.Location = new System.Drawing.Point(68, 74);
this.cmbComment.Name = "cmbComment";
this.cmbComment.Size = new System.Drawing.Size(200, 22);
this.cmbComment.TabIndex = 0;
this.cmbComment.SelectedIndexChanged += new System.EventHandler(this.cmbComment_SelectedIndexChanged);
// 
// dd
// 
this.dd.Location = new System.Drawing.Point(8, 74);
this.dd.Name = "dd";
this.dd.Size = new System.Drawing.Size(60, 20);
this.dd.TabIndex = 2;
this.dd.Text = "Comment*";
this.dd.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// txtComment
// 
this.txtComment.AccessibleDescription = "Details";
this.txtComment.AccessibleName = "Details";
this.txtComment.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.txtComment.Location = new System.Drawing.Point(68, 98);
this.txtComment.MaxLength = 255;
this.txtComment.Multiline = true;
this.txtComment.Name = "txtComment";
this.txtComment.Size = new System.Drawing.Size(200, 66);
this.txtComment.TabIndex = 1;
this.txtComment.Text = "";
// 
// lblDetails
// 
this.lblDetails.Location = new System.Drawing.Point(8, 98);
this.lblDetails.Name = "lblDetails";
this.lblDetails.Size = new System.Drawing.Size(60, 20);
this.lblDetails.TabIndex = 4;
this.lblDetails.Text = "Details";
this.lblDetails.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblWarningMessage
// 
this.lblWarningMessage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lblWarningMessage.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.lblWarningMessage.Location = new System.Drawing.Point(8, 12);
this.lblWarningMessage.Name = "lblWarningMessage";
this.lblWarningMessage.Size = new System.Drawing.Size(268, 54);
this.lblWarningMessage.TabIndex = 0;
this.lblWarningMessage.Text = "More information is required to process this override.  Enter a comment to confir" +
"m selection.";
this.lblWarningMessage.TextAlign = System.Drawing.ContentAlignment.TopCenter;
// 
// lblFemaleWarning
// 
this.lblFemaleWarning.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lblFemaleWarning.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.lblFemaleWarning.Location = new System.Drawing.Point(8, 12);
this.lblFemaleWarning.Name = "lblFemaleWarning";
this.lblFemaleWarning.Size = new System.Drawing.Size(268, 36);
this.lblFemaleWarning.TabIndex = 1;
this.lblFemaleWarning.Text = "Female patient is Rh NEG.                                            <Unit ID>, <" +
"Product Code> is Rh POS.                                                      A " +
"comment is required to confirm selection.";
this.lblFemaleWarning.TextAlign = System.Drawing.ContentAlignment.TopCenter;
// 
// lblRhWarning
// 
this.lblRhWarning.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lblRhWarning.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.lblRhWarning.Location = new System.Drawing.Point(8, 12);
this.lblRhWarning.Name = "lblRhWarning";
this.lblRhWarning.Size = new System.Drawing.Size(268, 40);
this.lblRhWarning.TabIndex = 21;
this.lblRhWarning.Text = "A comment is required to confirm selection.";
this.lblRhWarning.TextAlign = System.Drawing.ContentAlignment.TopCenter;
// 
// grpIcon
// 
this.grpIcon.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpIcon.Controls.Add(this.picWarning);
this.grpIcon.Location = new System.Drawing.Point(4, 36);
this.grpIcon.Name = "grpIcon";
this.grpIcon.Size = new System.Drawing.Size(52, 172);
this.grpIcon.TabIndex = 4;
this.grpIcon.TabStop = false;
// 
// picWarning
// 
this.picWarning.Image = ((System.Drawing.Image)(resources.GetObject("picWarning.Image")));
this.picWarning.Location = new System.Drawing.Point(4, 12);
this.picWarning.Name = "picWarning";
this.picWarning.Size = new System.Drawing.Size(45, 45);
this.picWarning.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.picWarning.TabIndex = 0;
this.picWarning.TabStop = false;
// 
// DlgSelectUnitOverride
// 
this.AcceptButton = this.btnOK;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnCancel;
this.ClientSize = new System.Drawing.Size(348, 237);
this.Controls.Add(this.btnCancel);
this.Controls.Add(this.btnOK);
this.Controls.Add(this.grpComment);
this.Controls.Add(this.grpIcon);
this.hlphelpChm.SetHelpKeyword(this, "Select_Units.htm");
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.MaximizeBox = false;
this.MinimizeBox = false;
this.MinimumSize = new System.Drawing.Size(356, 264);
this.Name = "DlgSelectUnitOverride";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Confirm Selection";
this.Controls.SetChildIndex(this.grpIcon, 0);
this.Controls.SetChildIndex(this.grpComment, 0);
this.Controls.SetChildIndex(this.btnOK, 0);
this.Controls.SetChildIndex(this.btnCancel, 0);
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.grpComment.ResumeLayout(false);
this.grpIcon.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
#region properties
/// <summary>
/// Get CommentText
/// </summary>
public string CommentText
get
string comment = "";
if (this.cmbComment.SelectedIndex>-1)
if (this.cmbComment.Text.Trim().ToUpper() != "OTHER")
comment
= this.cmbComment.Text;
if (this.txtComment.Text.Trim().Length>0)
if ((comment.Length>0) && (comment[comment.Length-1] != '.'))
comment = comment + ". ";
comment = comment + this.txtComment.Text;
return comment;
/// <summary>
/// Get/Set CannedCommentGuid
/// </summary>
public Guid CannedCommentGuid
get
return _cannedCommentGuid;
set
_cannedCommentGuid = value;
#endregion
#region methods
private void PopulateListBox(string divisionCode)
_dtCannedComments = BOL.CannedComment.GetCannedComments(divisionCode, "US");
foreach (DataRow dr in this._dtCannedComments.Rows)
this.cmbComment.Items.Add(dr["CannedCommentText"]);
#endregion
#region events
private void cmbComment_SelectedIndexChanged(object sender, System.EventArgs e)
if (this.cmbComment.SelectedIndex>-1)
this._commentText = cmbComment.SelectedItem.ToString();
else
this._commentText = "";
//
if (this._commentText.Trim().Length == 0)
// ToDo:  Make ths a broken rule
this.btnOK.EnabledButton = false;
else
DataRow [] drArray
= this._dtCannedComments.Select("CannedCommentText = '" + this._commentText + "'");
_cannedCommentGuid
= (Guid) drArray[0]["CannedCommentGuid"];
this.btnOK.EnabledButton = true;
#endregion
