using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
namespace EXT.DOMAIN.vbecs.GUI
/// <summary>
/// Class DlgValidationRunReportCriteria
/// </summary>
public class DlgValidationRunReportCriteria : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
private System.Windows.Forms.GroupBox grpDateRange;
private System.Windows.Forms.Label lblEndDate;
private System.Windows.Forms.Label lblStartDate;
private System.Windows.Forms.DateTimePicker dtpStartDate;
private System.Windows.Forms.DateTimePicker dtpEndDate;
private EXT.DOMAIN.vbecs.GUI.controls.VbecsButton btnOK;
private System.Windows.Forms.Button btnCancel;
private System.Windows.Forms.GroupBox grpImage;
private System.Windows.Forms.PictureBox pictureBox1;
private System.Windows.Forms.GroupBox grpScriptName;
private System.Windows.Forms.CheckBox checkBox1;
private System.Windows.Forms.ListView lvScripts;
private System.Windows.Forms.ColumnHeader columnHeader1;
private System.Windows.Forms.ColumnHeader columnHeader2;
private System.Windows.Forms.Button btnSelectAllProductTypes;
private System.Windows.Forms.Button btnDeselectAllProductTypes;
private System.Windows.Forms.GroupBox grpReportCompilation;
private System.Windows.Forms.RadioButton rdoScheduleJob;
private System.Windows.Forms.RadioButton rdoCreateNow;
private System.Windows.Forms.GroupBox grpScheduleJob;
private EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup cmbPrinterName;
private System.Windows.Forms.Label lblPrinterName;
private System.Windows.Forms.Label lblPrintDate;
private System.Windows.Forms.DateTimePicker dtpPrintDate;
private System.ComponentModel.IContainer components = null;
/// <summary>
/// Constructor
/// </summary>
public DlgValidationRunReportCriteria()
// This call is required by the Windows Form Designer.
InitializeComponent();
SetComponentProperties();
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
this.components = new System.ComponentModel.Container();
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DlgValidationRunReportCriteria));
this.grpDateRange = new System.Windows.Forms.GroupBox();
this.dtpEndDate = new System.Windows.Forms.DateTimePicker();
this.lblEndDate = new System.Windows.Forms.Label();
this.lblStartDate = new System.Windows.Forms.Label();
this.dtpStartDate = new System.Windows.Forms.DateTimePicker();
this.btnOK = new EXT.DOMAIN.vbecs.GUI.controls.VbecsButton();
this.btnCancel = new System.Windows.Forms.Button();
this.grpImage = new System.Windows.Forms.GroupBox();
this.pictureBox1 = new System.Windows.Forms.PictureBox();
this.grpScriptName = new System.Windows.Forms.GroupBox();
this.btnSelectAllProductTypes = new System.Windows.Forms.Button();
this.btnDeselectAllProductTypes = new System.Windows.Forms.Button();
this.lvScripts = new System.Windows.Forms.ListView();
this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
this.checkBox1 = new System.Windows.Forms.CheckBox();
this.grpReportCompilation = new System.Windows.Forms.GroupBox();
this.rdoScheduleJob = new System.Windows.Forms.RadioButton();
this.rdoCreateNow = new System.Windows.Forms.RadioButton();
this.grpScheduleJob = new System.Windows.Forms.GroupBox();
this.cmbPrinterName = new EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup(this.components);
this.lblPrinterName = new System.Windows.Forms.Label();
this.lblPrintDate = new System.Windows.Forms.Label();
this.dtpPrintDate = new System.Windows.Forms.DateTimePicker();
this.grpDateRange.SuspendLayout();
this.grpImage.SuspendLayout();
this.grpScriptName.SuspendLayout();
this.grpReportCompilation.SuspendLayout();
this.grpScheduleJob.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.Size = new System.Drawing.Size(392, 30);
this.vbecsLogo1.Title = "Validation Test Run Report";
// 
// lblRequiredField
// 
this.lblRequiredField.Location = new System.Drawing.Point(0, 365);
this.lblRequiredField.Name = "lblRequiredField";
// 
// grpDateRange
// 
this.grpDateRange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpDateRange.Controls.Add(this.dtpEndDate);
this.grpDateRange.Controls.Add(this.lblEndDate);
this.grpDateRange.Controls.Add(this.lblStartDate);
this.grpDateRange.Controls.Add(this.dtpStartDate);
this.grpDateRange.Enabled = false;
this.grpDateRange.Location = new System.Drawing.Point(60, 32);
this.grpDateRange.Name = "grpDateRange";
this.grpDateRange.Size = new System.Drawing.Size(328, 48);
this.grpDateRange.TabIndex = 0;
this.grpDateRange.TabStop = false;
// 
// dtpEndDate
// 
this.dtpEndDate.CalendarFont = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpEndDate.CustomFormat = "MM/dd/yyyy";
this.dtpEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpEndDate.Location = new System.Drawing.Point(224, 20);
this.dtpEndDate.Name = "dtpEndDate";
this.dtpEndDate.Size = new System.Drawing.Size(84, 20);
this.dtpEndDate.TabIndex = 1;
this.dtpEndDate.Value = new System.DateTime(2004, 4, 7, 0, 0, 0, 0);
// 
// lblEndDate
// 
this.lblEndDate.Location = new System.Drawing.Point(168, 20);
this.lblEndDate.Name = "lblEndDate";
this.lblEndDate.Size = new System.Drawing.Size(60, 20);
this.lblEndDate.TabIndex = 12;
this.lblEndDate.Text = "End Date*";
this.lblEndDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblStartDate
// 
this.lblStartDate.Location = new System.Drawing.Point(8, 20);
this.lblStartDate.Name = "lblStartDate";
this.lblStartDate.Size = new System.Drawing.Size(60, 20);
this.lblStartDate.TabIndex = 9;
this.lblStartDate.Text = "Start Date*";
this.lblStartDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// dtpStartDate
// 
this.dtpStartDate.CalendarFont = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpStartDate.CustomFormat = "MM/dd/yyyy";
this.dtpStartDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpStartDate.Location = new System.Drawing.Point(72, 20);
this.dtpStartDate.Name = "dtpStartDate";
this.dtpStartDate.Size = new System.Drawing.Size(84, 20);
this.dtpStartDate.TabIndex = 0;
this.dtpStartDate.Value = new System.DateTime(2004, 4, 7, 0, 0, 0, 0);
// 
// btnOK
// 
this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
this.btnOK.EnabledButton = false;
this.btnOK.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnOK.Image = null;
this.btnOK.Location = new System.Drawing.Point(232, 348);
this.btnOK.Name = "btnOK";
this.btnOK.Size = new System.Drawing.Size(75, 23);
this.btnOK.TabIndex = 2;
// 
// btnCancel
// 
this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnCancel.CausesValidation = false;
this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnCancel.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnCancel.Location = new System.Drawing.Point(312, 348);
this.btnCancel.Name = "btnCancel";
this.btnCancel.TabIndex = 3;
this.btnCancel.Text = "&Cancel";
// 
// grpImage
// 
this.grpImage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpImage.Controls.Add(this.pictureBox1);
this.grpImage.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.grpImage.Location = new System.Drawing.Point(4, 32);
this.grpImage.Name = "grpImage";
this.grpImage.Size = new System.Drawing.Size(52, 312);
this.grpImage.TabIndex = 47;
this.grpImage.TabStop = false;
// 
// pictureBox1
// 
this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
this.pictureBox1.Location = new System.Drawing.Point(4, 12);
this.pictureBox1.Name = "pictureBox1";
this.pictureBox1.Size = new System.Drawing.Size(45, 45);
this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.pictureBox1.TabIndex = 2;
this.pictureBox1.TabStop = false;
// 
// grpScriptName
// 
this.grpScriptName.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpScriptName.Controls.Add(this.btnSelectAllProductTypes);
this.grpScriptName.Controls.Add(this.btnDeselectAllProductTypes);
this.grpScriptName.Controls.Add(this.lvScripts);
this.grpScriptName.Location = new System.Drawing.Point(60, 84);
this.grpScriptName.Name = "grpScriptName";
this.grpScriptName.Size = new System.Drawing.Size(328, 136);
this.grpScriptName.TabIndex = 1;
this.grpScriptName.TabStop = false;
this.grpScriptName.Text = "Validation Scripts*";
// 
// btnSelectAllProductTypes
// 
this.btnSelectAllProductTypes.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.btnSelectAllProductTypes.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
this.btnSelectAllProductTypes.Image = ((System.Drawing.Image)(resources.GetObject("btnSelectAllProductTypes.Image")));
this.btnSelectAllProductTypes.Location = new System.Drawing.Point(304, 0);
this.btnSelectAllProductTypes.Name = "btnSelectAllProductTypes";
this.btnSelectAllProductTypes.Size = new System.Drawing.Size(16, 16);
this.btnSelectAllProductTypes.TabIndex = 4;
// 
// btnDeselectAllProductTypes
// 
this.btnDeselectAllProductTypes.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.btnDeselectAllProductTypes.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
this.btnDeselectAllProductTypes.Image = ((System.Drawing.Image)(resources.GetObject("btnDeselectAllProductTypes.Image")));
this.btnDeselectAllProductTypes.Location = new System.Drawing.Point(288, 0);
this.btnDeselectAllProductTypes.Name = "btnDeselectAllProductTypes";
this.btnDeselectAllProductTypes.Size = new System.Drawing.Size(16, 16);
this.btnDeselectAllProductTypes.TabIndex = 3;
// 
// lvScripts
// 
this.lvScripts.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lvScripts.CheckBoxes = true;
this.lvScripts.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
this.columnHeader1,
this.columnHeader2});
this.lvScripts.FullRowSelect = true;
this.lvScripts.HideSelection = false;
this.lvScripts.Location = new System.Drawing.Point(8, 16);
this.lvScripts.MultiSelect = false;
this.lvScripts.Name = "lvScripts";
this.lvScripts.Size = new System.Drawing.Size(312, 112);
this.lvScripts.TabIndex = 0;
this.lvScripts.View = System.Windows.Forms.View.Details;
// 
// columnHeader1
// 
this.columnHeader1.Text = "Include";
this.columnHeader1.Width = 50;
// 
// columnHeader2
// 
this.columnHeader2.Text = "Script Name";
this.columnHeader2.Width = 210;
// 
// checkBox1
// 
this.checkBox1.Location = new System.Drawing.Point(68, 32);
this.checkBox1.Name = "checkBox1";
this.checkBox1.Size = new System.Drawing.Size(124, 16);
this.checkBox1.TabIndex = 11;
this.checkBox1.Text = "Report Date Range";
// 
// grpReportCompilation
// 
this.grpReportCompilation.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpReportCompilation.Controls.Add(this.rdoScheduleJob);
this.grpReportCompilation.Controls.Add(this.rdoCreateNow);
this.grpReportCompilation.Controls.Add(this.grpScheduleJob);
this.grpReportCompilation.Location = new System.Drawing.Point(60, 224);
this.grpReportCompilation.Name = "grpReportCompilation";
this.grpReportCompilation.Size = new System.Drawing.Size(326, 120);
this.grpReportCompilation.TabIndex = 60;
this.grpReportCompilation.TabStop = false;
this.grpReportCompilation.Text = "Report Compilation*";
// 
// rdoScheduleJob
// 
this.rdoScheduleJob.Location = new System.Drawing.Point(16, 40);
this.rdoScheduleJob.Name = "rdoScheduleJob";
this.rdoScheduleJob.Size = new System.Drawing.Size(120, 16);
this.rdoScheduleJob.TabIndex = 1;
this.rdoScheduleJob.Text = "&Schedule Print Job";
// 
// rdoCreateNow
// 
this.rdoCreateNow.Checked = true;
this.rdoCreateNow.Location = new System.Drawing.Point(16, 20);
this.rdoCreateNow.Name = "rdoCreateNow";
this.rdoCreateNow.Size = new System.Drawing.Size(124, 16);
this.rdoCreateNow.TabIndex = 0;
this.rdoCreateNow.TabStop = true;
this.rdoCreateNow.Text = "Create Report &Now";
// 
// grpScheduleJob
// 
this.grpScheduleJob.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpScheduleJob.Controls.Add(this.cmbPrinterName);
this.grpScheduleJob.Controls.Add(this.lblPrinterName);
this.grpScheduleJob.Controls.Add(this.lblPrintDate);
this.grpScheduleJob.Controls.Add(this.dtpPrintDate);
this.grpScheduleJob.Enabled = false;
this.grpScheduleJob.Location = new System.Drawing.Point(8, 40);
this.grpScheduleJob.Name = "grpScheduleJob";
this.grpScheduleJob.Size = new System.Drawing.Size(310, 72);
this.grpScheduleJob.TabIndex = 2;
this.grpScheduleJob.TabStop = false;
// 
// cmbPrinterName
// 
this.cmbPrinterName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.cmbPrinterName.Interval = 500;
this.cmbPrinterName.Location = new System.Drawing.Point(96, 44);
this.cmbPrinterName.Name = "cmbPrinterName";
this.cmbPrinterName.Size = new System.Drawing.Size(206, 22);
this.cmbPrinterName.TabIndex = 14;
// 
// lblPrinterName
// 
this.lblPrinterName.Location = new System.Drawing.Point(24, 44);
this.lblPrinterName.Name = "lblPrinterName";
this.lblPrinterName.Size = new System.Drawing.Size(76, 20);
this.lblPrinterName.TabIndex = 13;
this.lblPrinterName.Text = "Printer Name*";
this.lblPrinterName.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblPrintDate
// 
this.lblPrintDate.Location = new System.Drawing.Point(24, 20);
this.lblPrintDate.Name = "lblPrintDate";
this.lblPrintDate.Size = new System.Drawing.Size(72, 20);
this.lblPrintDate.TabIndex = 11;
this.lblPrintDate.Text = "Print Date*";
this.lblPrintDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// dtpPrintDate
// 
this.dtpPrintDate.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.dtpPrintDate.CalendarFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpPrintDate.CustomFormat = "MM/dd/yyyy HH:mm";
this.dtpPrintDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpPrintDate.Location = new System.Drawing.Point(96, 20);
this.dtpPrintDate.Name = "dtpPrintDate";
this.dtpPrintDate.Size = new System.Drawing.Size(206, 20);
this.dtpPrintDate.TabIndex = 12;
this.dtpPrintDate.Value = new System.DateTime(2004, 5, 26, 17, 12, 0, 0);
// 
// DlgValidationRunReportCriteria
// 
this.AcceptButton = this.btnOK;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnCancel;
this.ClientSize = new System.Drawing.Size(392, 381);
this.Controls.Add(this.grpReportCompilation);
this.Controls.Add(this.checkBox1);
this.Controls.Add(this.grpScriptName);
this.Controls.Add(this.grpDateRange);
this.Controls.Add(this.btnOK);
this.Controls.Add(this.btnCancel);
this.Controls.Add(this.grpImage);
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.MaximizeBox = false;
this.MinimizeBox = false;
this.MinimumSize = new System.Drawing.Size(400, 408);
this.Name = "DlgValidationRunReportCriteria";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Validation Test Run Report";
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.Controls.SetChildIndex(this.grpImage, 0);
this.Controls.SetChildIndex(this.btnCancel, 0);
this.Controls.SetChildIndex(this.btnOK, 0);
this.Controls.SetChildIndex(this.grpDateRange, 0);
this.Controls.SetChildIndex(this.grpScriptName, 0);
this.Controls.SetChildIndex(this.checkBox1, 0);
this.Controls.SetChildIndex(this.grpReportCompilation, 0);
this.grpDateRange.ResumeLayout(false);
this.grpImage.ResumeLayout(false);
this.grpScriptName.ResumeLayout(false);
this.grpReportCompilation.ResumeLayout(false);
this.grpScheduleJob.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
/// <summary>
/// SetComponentProperties
/// </summary>
private void SetComponentProperties()
this.vbecsLogo1.Title = this.Text.Replace("VBECS - ","");
//
this.btnOK.Text = "&OK";
