using System;
namespace EXT.DOMAIN.vbecs.DAL.VistALink.OpenLibrary
/// <summary>
/// This exception is thrown when server returns fault message 
/// indicating that client is already logged on. 
/// </summary>
public class AlreadyLoggedOnException : SecurityFaultException
/// <summary>
/// This constructor accepts fault info object containing 
/// information about a fault occured at server side.
/// </summary>
/// <param name="faultInfo">
///
Fault info object containing information about a fault
///
occured at server side.
///
</param>
public AlreadyLoggedOnException( FaultInfo faultInfo)
: base( faultInfo ) {}
