using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using EXT.DOMAIN.vbecs.DAL.HL7AL;
using EXT.DOMAIN.vbecs.Common;
namespace EXT.DOMAIN.vbecs.DAL.HL7.Client.WinService
    /// <summary>
    /// This service can automatically install/uninstall itself.
    /// User can easily istall or uninstall it by just executing service's file.
    /// Notes: 
    /// - assembly must be compiled as console application.
    /// - app.config file must contain "serviceName" app key.
    /// </summary>
    /// <notes>
    /// CR 2732: derivation from TimerService enabled timer job (moved part from SM).
    /// </notes>
public class CprsHL7ClientService : TimerService
/// <summary> 
/// Required designer variable.
/// </summary>
private System.ComponentModel.Container components = null;
private VbecsHL7ClientMonitor _clientMonitor;
///<Developers>
///
<Developer></Developer>
///</Developers>
///<SiteName>Hines OIFO</SiteName>
///<CreationDate>7/16/2010</CreationDate>
///<TestCases>
///
///<Case type="0" testid ="8960"> 
///
<ExpectedInput>Valid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///<Case type="1" testid ="8961"> 
///
<ExpectedInput>Invalid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///</TestCases>
///<Update></Update>
///<ArchivePlan></ArchivePlan>
///<Interfaces></Interfaces>
///
public CprsHL7ClientService()
// This call is required by the Windows.Forms Component Designer.
InitializeComponent();
_clientMonitor = new VbecsHL7ClientMonitor();
///<Developers>
///
<Developer></Developer>
///</Developers>
///<SiteName>Hines OIFO</SiteName>
///<CreationDate>7/16/2010</CreationDate>
///<TestCases>
///
///<Case type="0" testid ="8962"> 
///
<ExpectedInput>Valid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///<Case type="1" testid ="8963"> 
///
<ExpectedInput>Invalid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///</TestCases>
///<Update></Update>
///<ArchivePlan></ArchivePlan>
///<Interfaces></Interfaces>
/// <summary>
/// The main entry point for the process
/// </summary>
/// <param name="args"></param>
static void Main(string[] args)
            // CR 2732: self installation/uninstallation feature.
            SelfInstaller.Start(args, new CprsHL7ClientService(), System.Reflection.Assembly.GetExecutingAssembly());
/// <summary> 
/// Required method for Designer support - do not modify 
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
// 
// VbecsHL7ClientService
// 
this.ServiceName = System.Configuration.ConfigurationSettings.AppSettings["serviceName"];
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
/// <summary>
/// Set things in motion so your service can do its work.
/// </summary>
protected override void OnStart(string[] args)
if( _clientMonitor == null )
_clientMonitor = new VbecsHL7ClientMonitor();
_clientMonitor.Start();
else
_clientMonitor.Start();
            base.OnStart(args);
/// <summary>
/// Stop this service.
/// </summary>
protected override void OnStop()
if( _clientMonitor != null )
_clientMonitor.Stop();
_clientMonitor = null;
            base.OnStop();
/// <summary>
/// Pause
/// </summary>
protected override void OnPause()
            base.OnStop();
/// <summary>
/// Continue
/// </summary>
protected override void OnContinue()
            base.OnStop();
