using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
namespace EXT.DOMAIN.vbecs.GUI
/// <summary>
/// Class DlgPatientTestingComments
/// </summary>
public class DlgPatientTestingComments : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
private System.Windows.Forms.Button btnCancel;
private EXT.DOMAIN.vbecs.GUI.controls.VbecsButton btnOK;
private System.Windows.Forms.GroupBox grpComment;
private EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup cmbComment;
private System.Windows.Forms.Label dd;
private System.Windows.Forms.TextBox txtComment;
private System.Windows.Forms.Label lblDetails;
private System.Windows.Forms.GroupBox grpIcon;
private System.Windows.Forms.PictureBox picWarning;
private System.Windows.Forms.Label lblMessage;
private System.ComponentModel.IContainer components = null;
private DataRow _drABORh;
private DataTable _dtComments;
private BOL.Reagent _reagent;
/// <summary>
/// Constructor
/// </summary>
/// <param name="dtAboRH"></param>
public DlgPatientTestingComments(DataTable dtAboRH)
// This call is required by the Windows Form Designer.
InitializeComponent();
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
this.vbecsLogo1.Title = "Confirm Results";
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC052.DlgPatientTestingComments());
//
_drABORh = dtAboRH.Rows[0];
/// <summary>
/// Constructor
/// </summary>
/// <param name="reagent"></param>
public DlgPatientTestingComments(ref BOL.Reagent reagent)
// This call is required by the Windows Form Designer.
InitializeComponent();
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC098.DlgPatientTestingComments());
//
this.vbecsLogo1.Title = "New phase for the reagent";
_reagent = reagent;
/// <summary>
/// Get Comment
/// </summary>
public string Comment
get
string comment = "";
if (this.cmbComment.SelectedIndex>-1)
if (this.cmbComment.Text.Trim().ToUpper() != "OTHER")
comment
= this.cmbComment.Text;
if (this.txtComment.Text.Trim().Length>0)
if ((comment.Length>0) && (comment[comment.Length-1] != '.'))
comment = comment + ". ";
comment = comment + this.txtComment.Text;
return comment;
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
this.components = new System.ComponentModel.Container();
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DlgPatientTestingComments));
this.btnCancel = new System.Windows.Forms.Button();
this.btnOK = new EXT.DOMAIN.vbecs.GUI.controls.VbecsButton();
this.grpComment = new System.Windows.Forms.GroupBox();
this.lblMessage = new System.Windows.Forms.Label();
this.cmbComment = new EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup(this.components);
this.dd = new System.Windows.Forms.Label();
this.txtComment = new System.Windows.Forms.TextBox();
this.lblDetails = new System.Windows.Forms.Label();
this.grpIcon = new System.Windows.Forms.GroupBox();
this.picWarning = new System.Windows.Forms.PictureBox();
this.grpComment.SuspendLayout();
this.grpIcon.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.Size = new System.Drawing.Size(348, 30);
this.vbecsLogo1.TabIndex = 3;
this.vbecsLogo1.Title = "Confirm Results";
// 
// lblRequiredField
// 
this.lblRequiredField.Location = new System.Drawing.Point(0, 211);
this.lblRequiredField.Name = "lblRequiredField";
this.lblRequiredField.TabIndex = 5;
// 
// btnCancel
// 
this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnCancel.Location = new System.Drawing.Point(272, 200);
this.btnCancel.Name = "btnCancel";
this.btnCancel.TabIndex = 2;
this.btnCancel.Text = "&Cancel";
this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
// 
// btnOK
// 
this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
this.btnOK.EnabledButton = false;
this.btnOK.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnOK.Image = null;
this.btnOK.Location = new System.Drawing.Point(192, 200);
this.btnOK.Name = "btnOK";
this.btnOK.Size = new System.Drawing.Size(75, 23);
this.btnOK.TabIndex = 1;
this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
// 
// grpComment
// 
this.grpComment.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpComment.Controls.Add(this.lblMessage);
this.grpComment.Controls.Add(this.cmbComment);
this.grpComment.Controls.Add(this.dd);
this.grpComment.Controls.Add(this.txtComment);
this.grpComment.Controls.Add(this.lblDetails);
this.grpComment.Location = new System.Drawing.Point(60, 28);
this.grpComment.Name = "grpComment";
this.grpComment.Size = new System.Drawing.Size(284, 168);
this.grpComment.TabIndex = 0;
this.grpComment.TabStop = false;
// 
// lblMessage
// 
this.lblMessage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lblMessage.Font = new System.Drawing.Font("Tahoma", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.lblMessage.Location = new System.Drawing.Point(8, 12);
this.lblMessage.Name = "lblMessage";
this.lblMessage.Size = new System.Drawing.Size(268, 60);
this.lblMessage.TabIndex = 0;
this.lblMessage.Text = "Set Message property to display here";
this.lblMessage.TextAlign = System.Drawing.ContentAlignment.TopCenter;
// 
// cmbComment
// 
this.cmbComment.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.cmbComment.Interval = 100;
this.cmbComment.Location = new System.Drawing.Point(64, 80);
this.cmbComment.Name = "cmbComment";
this.cmbComment.Size = new System.Drawing.Size(200, 22);
this.cmbComment.TabIndex = 2;
this.cmbComment.Validating += new System.ComponentModel.CancelEventHandler(this.cmbComment_Validating);
this.cmbComment.SelectedIndexChanged += new System.EventHandler(this.cmbComment_SelectedIndexChanged);
// 
// dd
// 
this.dd.Location = new System.Drawing.Point(8, 80);
this.dd.Name = "dd";
this.dd.Size = new System.Drawing.Size(60, 20);
this.dd.TabIndex = 1;
this.dd.Text = "Comment*";
this.dd.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// txtComment
// 
this.txtComment.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.txtComment.Location = new System.Drawing.Point(64, 104);
this.txtComment.MaxLength = 255;
this.txtComment.Multiline = true;
this.txtComment.Name = "txtComment";
this.txtComment.Size = new System.Drawing.Size(200, 52);
this.txtComment.TabIndex = 4;
this.txtComment.Text = "";
this.txtComment.TextChanged += new System.EventHandler(this.txtComment_TextChanged);
// 
// lblDetails
// 
this.lblDetails.Location = new System.Drawing.Point(8, 104);
this.lblDetails.Name = "lblDetails";
this.lblDetails.Size = new System.Drawing.Size(60, 20);
this.lblDetails.TabIndex = 3;
this.lblDetails.Text = "Details";
this.lblDetails.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// grpIcon
// 
this.grpIcon.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpIcon.Controls.Add(this.picWarning);
this.grpIcon.Location = new System.Drawing.Point(4, 28);
this.grpIcon.Name = "grpIcon";
this.grpIcon.Size = new System.Drawing.Size(52, 168);
this.grpIcon.TabIndex = 4;
this.grpIcon.TabStop = false;
// 
// picWarning
// 
this.picWarning.Image = ((System.Drawing.Image)(resources.GetObject("picWarning.Image")));
this.picWarning.Location = new System.Drawing.Point(4, 12);
this.picWarning.Name = "picWarning";
this.picWarning.Size = new System.Drawing.Size(45, 45);
this.picWarning.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.picWarning.TabIndex = 0;
this.picWarning.TabStop = false;
// 
// DlgPatientTestingComments
// 
this.AcceptButton = this.btnOK;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnCancel;
this.ClientSize = new System.Drawing.Size(348, 227);
this.Controls.Add(this.btnCancel);
this.Controls.Add(this.btnOK);
this.Controls.Add(this.grpComment);
this.Controls.Add(this.grpIcon);
this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
this.hlphelpChm.SetHelpKeyword(this, "Patient_Testing_General_Instructions.htm");
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.Name = "DlgPatientTestingComments";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Confirm Results";
this.Controls.SetChildIndex(this.grpIcon, 0);
this.Controls.SetChildIndex(this.grpComment, 0);
this.Controls.SetChildIndex(this.btnOK, 0);
this.Controls.SetChildIndex(this.btnCancel, 0);
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.grpComment.ResumeLayout(false);
this.grpIcon.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
/// <summary>
/// Load the list of canned comments
/// </summary>
public void LoadComments()
_dtComments = BOL.CannedComment.GetCannedComments("PT");
foreach(DataRow drComment in _dtComments.Rows)
this.cmbComment.Items.Add(drComment[Common.VbecsTables.CannedComment.CannedCommentText].ToString());
this.btnOK.SetToolTip(Common.StrRes.Tooltips.UC056.ChooseComment().ResString);
private void btnCancel_Click(object sender, System.EventArgs e)
this.Close();
private void cmbComment_SelectedIndexChanged(object sender, System.EventArgs e)
if (this.cmbComment.SelectedIndex != -1)
this.btnOK.EnabledButton = true;
this.btnOK.SetToolTip("");
else
this.btnOK.EnabledButton = false;
this.btnOK.SetToolTip(Common.StrRes.Tooltips.UC056.ChooseComment().ResString);
private void txtComment_TextChanged(object sender, System.EventArgs e)
private void btnOK_Click(object sender, System.EventArgs e)
if (this._drABORh != null)
_drABORh[Common.DatabaseConstants.ArtificialColumnNames.AboComment] = this.txtComment.Text.Trim();
if (this.cmbComment.SelectedIndex != -1)
_drABORh[Common.VbecsTables.CannedComment.CannedCommentGuid] = _dtComments.Rows[this.cmbComment.SelectedIndex][Common.VbecsTables.CannedComment.CannedCommentGuid];
else if (this._reagent != null)
this._reagent.CannedComment = new BOL.CannedComment(System.Guid.NewGuid());
//this._reagent.CannedComment.CannedCommentID = (int)_dtComments.Rows[this.cmbComment.SelectedIndex][Common.VbecsTables.CannedComment.CannedCommentID];
this._reagent.CannedComment.CannedCommentGuid = (Guid)_dtComments.Rows[this.cmbComment.SelectedIndex][Common.VbecsTables.CannedComment.CannedCommentGuid];
this._reagent.Comments = this.txtComment.Text.Trim();
private void cmbComment_Validating(object sender, System.ComponentModel.CancelEventArgs e)
if (this.cmbComment.SelectedIndex == -1)
this.cmbComment.Text = "";
this.btnOK.EnabledButton = false;
this.btnOK.SetToolTip(Common.StrRes.Tooltips.UC056.ChooseComment().ResString);
/// <summary>
/// Get/Set Message
/// </summary>
public string Message
get
return this.lblMessage.Text;
set
this.lblMessage.Text = value;
