using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Data;
namespace EXT.DOMAIN.vbecs.GUI
/// <summary>
/// Class DlgAuditTrailCriteria
/// </summary>
public class DlgAuditTrailCriteria : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
#region Form Controls
private System.Windows.Forms.GroupBox grpImage;
private System.Windows.Forms.PictureBox picImage;
private System.Windows.Forms.Button btnCancel;
private EXT.DOMAIN.vbecs.GUI.controls.VbecsButton btnOK;
private System.Windows.Forms.Label lblEndDate;
private System.Windows.Forms.Label lblStartDate;
private System.Windows.Forms.DateTimePicker dtpStartDate;
private System.Windows.Forms.DateTimePicker dtpEndDate;
private System.Windows.Forms.GroupBox grpDateRange;
private System.Windows.Forms.GroupBox grpReportCompilation;
private System.Windows.Forms.RadioButton rdoCreateNow;
private System.Windows.Forms.RadioButton rdoScheduleJob;
private System.Windows.Forms.GroupBox grpScheduleJob;
private System.Windows.Forms.Label lblPrintDate;
private System.Windows.Forms.DateTimePicker dtpPrintDate;
private System.Windows.Forms.Label lblPrinterName;
private EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup cmbPrinterName;
private System.ComponentModel.IContainer components = null;
private Form _mdiParent;
#endregion
#region Variables
private bool _isLoading;
private BOL.AuditTrail auditTrailReport;
#endregion
#region Constructors/Dispose
/// <summary>
/// Constructor
/// </summary>
/// <param name="mdiParent"></param>
public DlgAuditTrailCriteria(Form mdiParent)
// This call is required by the Windows Form Designer.
this._isLoading = true;
InitializeComponent();
this.auditTrailReport=new EXT.DOMAIN.vbecs.BOL.AuditTrail();
SetComponentProperties();
this._isLoading = false;
this._mdiParent = mdiParent;
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#endregion
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
this.components = new System.ComponentModel.Container();
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(DlgAuditTrailCriteria));
this.grpImage = new System.Windows.Forms.GroupBox();
this.picImage = new System.Windows.Forms.PictureBox();
this.btnCancel = new System.Windows.Forms.Button();
this.btnOK = new EXT.DOMAIN.vbecs.GUI.controls.VbecsButton();
this.grpDateRange = new System.Windows.Forms.GroupBox();
this.lblEndDate = new System.Windows.Forms.Label();
this.lblStartDate = new System.Windows.Forms.Label();
this.dtpStartDate = new System.Windows.Forms.DateTimePicker();
this.dtpEndDate = new System.Windows.Forms.DateTimePicker();
this.grpReportCompilation = new System.Windows.Forms.GroupBox();
this.rdoScheduleJob = new System.Windows.Forms.RadioButton();
this.rdoCreateNow = new System.Windows.Forms.RadioButton();
this.grpScheduleJob = new System.Windows.Forms.GroupBox();
this.cmbPrinterName = new EXT.DOMAIN.vbecs.GUI.controls.ComboBoxLookup(this.components);
this.lblPrinterName = new System.Windows.Forms.Label();
this.lblPrintDate = new System.Windows.Forms.Label();
this.dtpPrintDate = new System.Windows.Forms.DateTimePicker();
this.grpImage.SuspendLayout();
this.grpDateRange.SuspendLayout();
this.grpReportCompilation.SuspendLayout();
this.grpScheduleJob.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.Size = new System.Drawing.Size(382, 30);
this.vbecsLogo1.TabIndex = 4;
this.vbecsLogo1.Title = "Audit Trail Report";
// 
// lblRequiredField
// 
this.lblRequiredField.Location = new System.Drawing.Point(0, 231);
this.lblRequiredField.Name = "lblRequiredField";
this.lblRequiredField.TabIndex = 6;
// 
// grpImage
// 
this.grpImage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpImage.Controls.Add(this.picImage);
this.grpImage.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.grpImage.Location = new System.Drawing.Point(4, 32);
this.grpImage.Name = "grpImage";
this.grpImage.Size = new System.Drawing.Size(52, 180);
this.grpImage.TabIndex = 5;
this.grpImage.TabStop = false;
// 
// picImage
// 
this.picImage.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.picImage.Image = ((System.Drawing.Image)(resources.GetObject("picImage.Image")));
this.picImage.Location = new System.Drawing.Point(4, 12);
this.picImage.Name = "picImage";
this.picImage.Size = new System.Drawing.Size(45, 45);
this.picImage.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.picImage.TabIndex = 0;
this.picImage.TabStop = false;
// 
// btnCancel
// 
this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnCancel.CausesValidation = false;
this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnCancel.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnCancel.Location = new System.Drawing.Point(300, 218);
this.btnCancel.Name = "btnCancel";
this.btnCancel.TabIndex = 3;
this.btnCancel.Text = "&Cancel";
this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
// 
// btnOK
// 
this.btnOK.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnOK.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnOK.Image = null;
this.btnOK.Location = new System.Drawing.Point(220, 218);
this.btnOK.Name = "btnOK";
this.btnOK.Size = new System.Drawing.Size(75, 23);
this.btnOK.TabIndex = 2;
this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
// 
// grpDateRange
// 
this.grpDateRange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpDateRange.Controls.Add(this.lblEndDate);
this.grpDateRange.Controls.Add(this.lblStartDate);
this.grpDateRange.Controls.Add(this.dtpStartDate);
this.grpDateRange.Controls.Add(this.dtpEndDate);
this.grpDateRange.Location = new System.Drawing.Point(60, 32);
this.grpDateRange.Name = "grpDateRange";
this.grpDateRange.Size = new System.Drawing.Size(316, 48);
this.grpDateRange.TabIndex = 0;
this.grpDateRange.TabStop = false;
this.grpDateRange.Text = "Report Date Range";
// 
// lblEndDate
// 
this.lblEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.lblEndDate.Location = new System.Drawing.Point(164, 20);
this.lblEndDate.Name = "lblEndDate";
this.lblEndDate.Size = new System.Drawing.Size(56, 20);
this.lblEndDate.TabIndex = 2;
this.lblEndDate.Text = "End Date*";
this.lblEndDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblStartDate
// 
this.lblStartDate.Location = new System.Drawing.Point(8, 20);
this.lblStartDate.Name = "lblStartDate";
this.lblStartDate.Size = new System.Drawing.Size(60, 20);
this.lblStartDate.TabIndex = 0;
this.lblStartDate.Text = "Start Date*";
this.lblStartDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// dtpStartDate
// 
this.dtpStartDate.CalendarFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpStartDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpStartDate.Location = new System.Drawing.Point(68, 20);
this.dtpStartDate.Name = "dtpStartDate";
this.dtpStartDate.Size = new System.Drawing.Size(88, 20);
this.dtpStartDate.TabIndex = 1;
this.dtpStartDate.Value = new System.DateTime(1900, 1, 1, 0, 0, 0, 0);
// 
// dtpEndDate
// 
this.dtpEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.dtpEndDate.CalendarFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpEndDate.Location = new System.Drawing.Point(220, 20);
this.dtpEndDate.Name = "dtpEndDate";
this.dtpEndDate.Size = new System.Drawing.Size(88, 20);
this.dtpEndDate.TabIndex = 3;
this.dtpEndDate.Value = new System.DateTime(2100, 1, 1, 23, 59, 0, 0);
// 
// grpReportCompilation
// 
this.grpReportCompilation.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpReportCompilation.Controls.Add(this.rdoScheduleJob);
this.grpReportCompilation.Controls.Add(this.rdoCreateNow);
this.grpReportCompilation.Controls.Add(this.grpScheduleJob);
this.grpReportCompilation.Location = new System.Drawing.Point(60, 84);
this.grpReportCompilation.Name = "grpReportCompilation";
this.grpReportCompilation.Size = new System.Drawing.Size(316, 128);
this.grpReportCompilation.TabIndex = 1;
this.grpReportCompilation.TabStop = false;
this.grpReportCompilation.Text = "Report Compilation*";
// 
// rdoScheduleJob
// 
this.rdoScheduleJob.Location = new System.Drawing.Point(16, 44);
this.rdoScheduleJob.Name = "rdoScheduleJob";
this.rdoScheduleJob.Size = new System.Drawing.Size(120, 16);
this.rdoScheduleJob.TabIndex = 1;
this.rdoScheduleJob.Text = "&Schedule Print Job";
// 
// rdoCreateNow
// 
this.rdoCreateNow.Checked = true;
this.rdoCreateNow.Location = new System.Drawing.Point(16, 20);
this.rdoCreateNow.Name = "rdoCreateNow";
this.rdoCreateNow.Size = new System.Drawing.Size(124, 16);
this.rdoCreateNow.TabIndex = 0;
this.rdoCreateNow.TabStop = true;
this.rdoCreateNow.Text = "Create Report &Now";
// 
// grpScheduleJob
// 
this.grpScheduleJob.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpScheduleJob.Controls.Add(this.cmbPrinterName);
this.grpScheduleJob.Controls.Add(this.lblPrinterName);
this.grpScheduleJob.Controls.Add(this.lblPrintDate);
this.grpScheduleJob.Controls.Add(this.dtpPrintDate);
this.grpScheduleJob.Enabled = false;
this.grpScheduleJob.Location = new System.Drawing.Point(8, 44);
this.grpScheduleJob.Name = "grpScheduleJob";
this.grpScheduleJob.Size = new System.Drawing.Size(300, 76);
this.grpScheduleJob.TabIndex = 2;
this.grpScheduleJob.TabStop = false;
this.grpScheduleJob.Text = "grpScheduleJob";
// 
// cmbPrinterName
// 
this.cmbPrinterName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.cmbPrinterName.Interval = 500;
this.cmbPrinterName.Location = new System.Drawing.Point(96, 44);
this.cmbPrinterName.Name = "cmbPrinterName";
this.cmbPrinterName.Size = new System.Drawing.Size(196, 22);
this.cmbPrinterName.TabIndex = 3;
// 
// lblPrinterName
// 
this.lblPrinterName.Location = new System.Drawing.Point(24, 44);
this.lblPrinterName.Name = "lblPrinterName";
this.lblPrinterName.Size = new System.Drawing.Size(76, 20);
this.lblPrinterName.TabIndex = 2;
this.lblPrinterName.Text = "Printer Name*";
this.lblPrinterName.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblPrintDate
// 
this.lblPrintDate.Location = new System.Drawing.Point(24, 20);
this.lblPrintDate.Name = "lblPrintDate";
this.lblPrintDate.Size = new System.Drawing.Size(72, 20);
this.lblPrintDate.TabIndex = 0;
this.lblPrintDate.Text = "Print Date*";
this.lblPrintDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// dtpPrintDate
// 
this.dtpPrintDate.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.dtpPrintDate.CalendarFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.dtpPrintDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpPrintDate.Location = new System.Drawing.Point(96, 20);
this.dtpPrintDate.Name = "dtpPrintDate";
this.dtpPrintDate.Size = new System.Drawing.Size(196, 20);
this.dtpPrintDate.TabIndex = 1;
this.dtpPrintDate.Value = new System.DateTime(2003, 6, 20, 15, 24, 4, 467);
// 
// DlgAuditTrailCriteria
// 
this.AcceptButton = this.btnOK;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnCancel;
this.ClientSize = new System.Drawing.Size(382, 247);
this.Controls.Add(this.grpReportCompilation);
this.Controls.Add(this.grpDateRange);
this.Controls.Add(this.btnOK);
this.Controls.Add(this.btnCancel);
this.Controls.Add(this.grpImage);
this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
this.hlphelpChm.SetHelpKeyword(this, "Audit_Trail.htm");
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.MaximizeBox = false;
this.MinimizeBox = false;
this.MinimumSize = new System.Drawing.Size(388, 272);
this.Name = "DlgAuditTrailCriteria";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Audit Trail Report";
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.Controls.SetChildIndex(this.grpImage, 0);
this.Controls.SetChildIndex(this.btnCancel, 0);
this.Controls.SetChildIndex(this.btnOK, 0);
this.Controls.SetChildIndex(this.grpDateRange, 0);
this.Controls.SetChildIndex(this.grpReportCompilation, 0);
this.grpImage.ResumeLayout(false);
this.grpDateRange.ResumeLayout(false);
this.grpReportCompilation.ResumeLayout(false);
this.grpScheduleJob.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
#region Properties
/// <summary>
/// Get/Set StartDate
/// </summary>
public DateTime StartDate
get
DateTime startDate = new DateTime(this.dtpStartDate.Value.Year,
this.dtpStartDate.Value.Month,
this.dtpStartDate.Value.Day,
0,
0,
0);
return startDate;
set
this.dtpStartDate.Value = value;
/// <summary>
/// Get/Set EndDate
/// </summary>
public DateTime EndDate
get
DateTime endDate = new DateTime(this.dtpEndDate.Value.Year,
this.dtpEndDate.Value.Month,
this.dtpEndDate.Value.Day,
23,
59,
59);
return endDate;
set
this.dtpEndDate.Value = value;
#endregion
#region Events / Event Handlers
private void btnCancel_Click(object sender, System.EventArgs e)
this.Close();
private void dtpStartDate_ValueChanged(object sender, System.EventArgs e)
if(!this._isLoading)
if (this.dtpStartDate.Value > this.dtpEndDate.Value)
this.dtpStartDate.Value = this.dtpEndDate.Value;
else
this.auditTrailReport.StartDate=this.dtpStartDate.Value; 
this.dtpEndDate.MinDate = this.dtpStartDate.Value;
private void dtpEndDate_ValueChanged(object sender, System.EventArgs e)
if (this.dtpEndDate.Value < this.dtpStartDate.Value)
this.dtpEndDate.Value = this.dtpStartDate.Value;
else
this.auditTrailReport.EndDate=this.dtpEndDate.Value; 
this.dtpStartDate.MaxDate = this.dtpEndDate.Value;
#endregion
#region Methods
private void SetComponentProperties()
this.vbecsLogo1.Title = this.Text.Replace("VBECS - ","");
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC077.DlgAuditTrailCriteria());
//
this.btnOK.EnabledButton = true;
//set custom date and time format
this.dtpStartDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpEndDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpPrintDate.CustomFormat = Common.VBECSDateTime.DateFormat;
//set current date value based on the division time zone
System.DateTime _currentDate = BOL.VBECSDateTime.GetDivisionCurrentDateTime();
this.dtpStartDate.Value = _currentDate.AddDays(-1);
this.dtpEndDate.Value = _currentDate.AddDays(-1);
this.dtpPrintDate.CustomFormat = Common.VBECSDateTime.DateTimeFormat;
this.dtpPrintDate.Value = _currentDate;
this.dtpPrintDate.MinDate = DateTime.Today;
this.LoadPrinters();
this.AddHandlers();
#endregion
private void btnOK_Click(object sender, System.EventArgs e)
if(this.auditTrailReport.IsScheduled)
this.auditTrailReport.Schedule();
this.DialogResult=DialogResult.Cancel;
this.Close();
else
DataSet dsAuditTrailReport = null;
using( WaitCursor _cursor = new WaitCursor() )
BOL.AuditTrail auditTrail = new BOL.AuditTrail(this.StartDate, this.EndDate);
dsAuditTrailReport = auditTrail.GetAuditTrailReport();
//dsAuditTrailReport.WriteXml("c:\\temp\\AuditReport.xml", XmlWriteMode.WriteSchema);
if (dsAuditTrailReport.Tables[0].Rows.Count == 0)
GuiMessenger.ShowMessageBox(Common.StrRes.InfoMsg.UC077.NoRecordsFound());
this.Close();
return;
else
FrmAuditTrailReport frm = new FrmAuditTrailReport(dsAuditTrailReport, this.StartDate, this.EndDate);
frm.MdiParent = this._mdiParent;
frm.Show();
this.Close();
private void CheckValid(object sender, System.EventArgs e)
this.btnOK.Enabled=this.auditTrailReport.IsValid;
private void rdoScheduleJob_CheckedChanged(object sender, System.EventArgs e)
this.auditTrailReport.IsScheduled=this.rdoScheduleJob.Checked; 
this.grpScheduleJob.Enabled=this.rdoScheduleJob.Checked;
private void dtpPrintDate_ValueChanged(object sender, System.EventArgs e)
this.auditTrailReport.PrintDate=this.dtpPrintDate.Value; 
private void cmbPrinterName_SelectedIndexChanged(object sender, System.EventArgs e)
if(cmbPrinterName.SelectedItem!=null)
string printer=this.cmbPrinterName.Text;
for(int i=0; i<this.cmbPrinterName.Items.Count; i++)
if(printer==this.cmbPrinterName.Items[i].ToString())
this.auditTrailReport.PrinterName = cmbPrinterName.SelectedItem.ToString();
else
this.auditTrailReport.PrinterName=String.Empty;
private void LoadPrinters()
this.cmbPrinterName.Items.Clear();
//
foreach (string printerName in BOL.VbecsReport.GetPrinters())
cmbPrinterName.Items.Add(printerName);
private void AddHandlers()
this.cmbPrinterName.SelectedIndexChanged += new System.EventHandler(this.cmbPrinterName_SelectedIndexChanged);
this.dtpPrintDate.ValueChanged += new System.EventHandler(this.dtpPrintDate_ValueChanged);
this.rdoScheduleJob.CheckedChanged += new System.EventHandler(this.rdoScheduleJob_CheckedChanged);
this.dtpEndDate.ValueChanged += new System.EventHandler(this.dtpEndDate_ValueChanged);
this.dtpStartDate.ValueChanged += new System.EventHandler(this.dtpStartDate_ValueChanged);
this.cmbPrinterName.SelectedIndexChanged += new System.EventHandler(this.CheckValid);
this.dtpPrintDate.ValueChanged += new System.EventHandler(this.CheckValid);
this.rdoScheduleJob.CheckedChanged += new System.EventHandler(this.CheckValid);
this.dtpEndDate.ValueChanged += new System.EventHandler(this.CheckValid);
this.dtpStartDate.ValueChanged += new System.EventHandler(this.CheckValid);
