using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Data;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;
namespace EXT.DOMAIN.vbecs.GUI
#region Header
//<Package>Package: VBECS - VistA Blood Establishment Computer System</Package>
//<Warning> WARNING: Per VHA Directive $VADIRECTIVE this class should not be modified</Warning>
//<MedicalDevice> Medical Device #: $MEDDEVICENO</MedicalDevice>
//<Developers>
//
<Developer></Developer>
//</Developers>
//<SiteName>Hines OIFO</SiteName>
//<CreationDate>8/13/2004</CreationDate>
//<Note>The Food and Drug Administration classifies this software as a medical device.  As such, it may not be changed in any way. Modifications to this software may result in an adulterated medical device under 21CFR820, the use of which is considered to be a violation of US Federal Statutes.  Acquiring and implementing this software through the Freedom of information Act requires the implementor to assume total responsibility for the software, and become a registered manufacturer of a medical device, subject to FDA regulations</Note>
//<summary></summary>
#endregion
/// <summary>
/// Class FrmTransfusionRequirementsReport
/// </summary>
public class FrmTransfusionRequirementsReport : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
#region Variables
private BOL.VbecsReport _report;
private DataTable _dtReportData;
private reports.TransfusionRequirements.TransfusionRequirementsReport _trReport;
#endregion
#region Form Controls
private System.Windows.Forms.PrintDialog printDialog1;
private System.Windows.Forms.Button btnClose;
private System.Windows.Forms.Button btnPrint;
private System.Windows.Forms.GroupBox grpImage;
private System.Windows.Forms.PictureBox picImage;
private CrystalDecisions.Windows.Forms.CrystalReportViewer crvTransfusionrequirements;
private System.ComponentModel.IContainer components = null;
#endregion
#region Constructors/Dispose
/// <summary>
/// Constructor
/// </summary>
/// <param name="report"></param>
/// <param name="reportData"></param>
public FrmTransfusionRequirementsReport(BOL.VbecsReport report, DataTable reportData)
// This call is required by the Windows Form Designer.
InitializeComponent();
this._report = report;
this._dtReportData = reportData;
CreateReport();
SetComponentProperties();
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#endregion
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FrmTransfusionRequirementsReport));
this.printDialog1 = new System.Windows.Forms.PrintDialog();
this.btnClose = new System.Windows.Forms.Button();
this.btnPrint = new System.Windows.Forms.Button();
this.grpImage = new System.Windows.Forms.GroupBox();
this.picImage = new System.Windows.Forms.PictureBox();
this.crvTransfusionrequirements = new CrystalDecisions.Windows.Forms.CrystalReportViewer();
this.grpImage.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.TabIndex = 3;
this.vbecsLogo1.Title = "Transfusion Requirements Report";
// 
// lblRequiredField
// 
this.lblRequiredField.Name = "lblRequiredField";
this.lblRequiredField.TabIndex = 5;
// 
// printDialog1
// 
this.printDialog1.AllowPrintToFile = false;
// 
// btnClose
// 
this.btnClose.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnClose.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnClose.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnClose.Location = new System.Drawing.Point(564, 448);
this.btnClose.Name = "btnClose";
this.btnClose.TabIndex = 2;
this.btnClose.Text = "&Close";
this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
// 
// btnPrint
// 
this.btnPrint.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnPrint.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.btnPrint.Image = ((System.Drawing.Image)(resources.GetObject("btnPrint.Image")));
this.btnPrint.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
this.btnPrint.Location = new System.Drawing.Point(484, 448);
this.btnPrint.Name = "btnPrint";
this.btnPrint.TabIndex = 1;
this.btnPrint.Text = "&Print";
this.btnPrint.Click += new System.EventHandler(this.btnPrint_Click);
// 
// grpImage
// 
this.grpImage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpImage.Controls.Add(this.picImage);
this.grpImage.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.grpImage.Location = new System.Drawing.Point(4, 32);
this.grpImage.Name = "grpImage";
this.grpImage.Size = new System.Drawing.Size(52, 412);
this.grpImage.TabIndex = 4;
this.grpImage.TabStop = false;
// 
// picImage
// 
this.picImage.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.picImage.Image = ((System.Drawing.Image)(resources.GetObject("picImage.Image")));
this.picImage.Location = new System.Drawing.Point(4, 12);
this.picImage.Name = "picImage";
this.picImage.Size = new System.Drawing.Size(45, 45);
this.picImage.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.picImage.TabIndex = 0;
this.picImage.TabStop = false;
// 
// crvTransfusionrequirements
// 
this.crvTransfusionrequirements.ActiveViewIndex = -1;
this.crvTransfusionrequirements.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.crvTransfusionrequirements.DisplayGroupTree = false;
this.crvTransfusionrequirements.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.crvTransfusionrequirements.Location = new System.Drawing.Point(60, 36);
this.crvTransfusionrequirements.Name = "crvTransfusionrequirements";
this.crvTransfusionrequirements.ReportSource = null;
this.crvTransfusionrequirements.ShowCloseButton = false;
this.crvTransfusionrequirements.ShowExportButton = false;
this.crvTransfusionrequirements.ShowPrintButton = false;
this.crvTransfusionrequirements.ShowRefreshButton = false;
this.crvTransfusionrequirements.Size = new System.Drawing.Size(576, 408);
this.crvTransfusionrequirements.TabIndex = 0;
// 
// FrmTransfusionRequirementsReport
// 
this.AcceptButton = this.btnPrint;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnClose;
this.ClientSize = new System.Drawing.Size(642, 473);
this.Controls.Add(this.btnClose);
this.Controls.Add(this.btnPrint);
this.Controls.Add(this.grpImage);
this.Controls.Add(this.crvTransfusionrequirements);
this.hlphelpChm.SetHelpKeyword(this, "Transfusion_Requirements_Report.htm");
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.MinimumSize = new System.Drawing.Size(600, 450);
this.Name = "FrmTransfusionRequirementsReport";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Transfusion Requirements Report";
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.Controls.SetChildIndex(this.crvTransfusionrequirements, 0);
this.Controls.SetChildIndex(this.grpImage, 0);
this.Controls.SetChildIndex(this.btnPrint, 0);
this.Controls.SetChildIndex(this.btnClose, 0);
this.grpImage.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
#region Methods 
private void SetComponentProperties()
this.vbecsLogo1.Title = this.Text.Replace("VBECS - ","");
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC089.FrmTransfusionRequirementsReport());
private void CreateReport()
using( WaitCursor _cursor = new WaitCursor() )
string reportCriteria = "Date Range: ";
if (this._report.StartDate == DateTime.MinValue)
reportCriteria += "N/A (Cumulative Report)";
else
reportCriteria += Common.VBECSDateTime.FormatDateString(this._report.StartDate);
reportCriteria += " - ";
reportCriteria += Common.VBECSDateTime.FormatDateString(this._report.EndDate);
DataSet dsHeader =  BOL.VbecsReport.GetReportHeader(ThisUser.UserName);
DataSet dsFooter = BOL.VbecsReport.GetReportFooter(reportCriteria);
try
_trReport = new reports.TransfusionRequirements.TransfusionRequirementsReport();
foreach (ReportObject reportObj in this._trReport.ReportDefinition.ReportObjects)
if (reportObj.Kind != ReportObjectKind.SubreportObject)
continue;
SubreportObject subreportObj = (SubreportObject)reportObj;
ReportDocument reportDoc = subreportObj.OpenSubreport(subreportObj.SubreportName);
if (subreportObj.SubreportName == "ReportHeaderPortrait.rpt")
reportDoc.SetDataSource(dsHeader);
else if (subreportObj.SubreportName == "ReportFooterPortrait.rpt")
reportDoc.SetDataSource(dsFooter);
this._trReport.SetDataSource(this._dtReportData.DataSet);
this.crvTransfusionrequirements.ReportSource = this._trReport;
controls.VbecsFunction.RenameCrystalReportTab(this.crvTransfusionrequirements,"Transfusion Requirements Report");
catch(CrystalDecisions.CrystalReports.Engine.OutOfLicenseException)
GuiMessenger.ShowMessageBox(Common.StrRes.SysErrMsg.Common.ReportsOutOfLicense());
return;
#endregion
#region Events / Event Handlers
private void btnClose_Click(object sender, System.EventArgs e)
this.Close();
private void btnPrint_Click(object sender, System.EventArgs e)
System.Drawing.Printing.PrinterSettings settings = new System.Drawing.Printing.PrinterSettings();
printDialog1.PrinterSettings = settings;
if (printDialog1.ShowDialog(this) == DialogResult.OK)
this._trReport.PrintOptions.PrinterName = settings.PrinterName;
this._trReport.PrintToPrinter(settings.Copies,settings.Collate,settings.FromPage,settings.ToPage);;
#endregion
