using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Windows.Forms;
using System.Data;
using CrystalDecisions.CrystalReports.Engine;
using CrystalDecisions.Shared;
namespace EXT.DOMAIN.vbecs.GUI
///<Package>Package: VBECS - VistA Blood Establishment Computer System</Package>
///<Warning> WARNING: Per VHA Directive $VADIRECTIVE this class should not be modified</Warning>
///<MedicalDevice> Medical Device #: $MEDDEVICENO</MedicalDevice>
///<Developers>
///
<Developer></Developer>
///</Developers>
///<SiteName>Hines OIFO</SiteName>
///<CreationDate>8/13/2004</CreationDate>
///<Note>The Food and Drug Administration classifies this software as a medical device.  As such, it may not be changed in any way. Modifications to this software may result in an adulterated medical device under 21CFR820, the use of which is considered to be a violation of US Federal Statutes.  Acquiring and implementing this software through the Freedom of information Act requires the implementor to assume total responsibility for the software, and become a registered manufacturer of a medical device, subject to FDA regulations</Note>
///<summary></summary>
public class FrmTransfusionComplicationsReport : EXT.DOMAIN.vbecs.GUI.VbecsBaseForm
#region Variables
private BOL.TransfusionComplicationsReport _report;
private reports.TransfusionComplications.TransfusionComplicationsReport _transfusionComplicationsReport;
#endregion
#region Form Controls
private System.Windows.Forms.GroupBox grpImage;
private System.Windows.Forms.PictureBox pictureBox1;
private CrystalDecisions.Windows.Forms.CrystalReportViewer crvProlongedTransfusion;
private System.Windows.Forms.Button btnCancel;
private System.Windows.Forms.Button btnPrint;
private System.Windows.Forms.PrintDialog printDialog1;
private System.ComponentModel.IContainer components = null;
#endregion
#region Constructors/Dispose
/// <summary>
/// Constructor
/// </summary>
/// <param name="report"></param>
public FrmTransfusionComplicationsReport(BOL.TransfusionComplicationsReport report)
// This call is required by the Windows Form Designer.
InitializeComponent();
//
this._report = report;
//
SetComponentProperties();
//
using (new WaitCursor())
this.CreateReport();
/// <summary>
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if (components != null) 
components.Dispose();
base.Dispose( disposing );
#endregion
#region Designer generated code
/// <summary>
/// Required method for Designer support - do not modify
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FrmTransfusionComplicationsReport));
this.grpImage = new System.Windows.Forms.GroupBox();
this.pictureBox1 = new System.Windows.Forms.PictureBox();
this.crvProlongedTransfusion = new CrystalDecisions.Windows.Forms.CrystalReportViewer();
this.btnCancel = new System.Windows.Forms.Button();
this.btnPrint = new System.Windows.Forms.Button();
this.printDialog1 = new System.Windows.Forms.PrintDialog();
this.grpImage.SuspendLayout();
this.SuspendLayout();
// 
// vbecsLogo1
// 
this.vbecsLogo1.Name = "vbecsLogo1";
this.vbecsLogo1.TabIndex = 3;
this.vbecsLogo1.Title = "Transfusion Complications Report";
// 
// lblRequiredField
// 
this.lblRequiredField.Name = "lblRequiredField";
this.lblRequiredField.TabIndex = 5;
// 
// grpImage
// 
this.grpImage.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left)));
this.grpImage.Controls.Add(this.pictureBox1);
this.grpImage.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.grpImage.Location = new System.Drawing.Point(4, 32);
this.grpImage.Name = "grpImage";
this.grpImage.Size = new System.Drawing.Size(52, 412);
this.grpImage.TabIndex = 4;
this.grpImage.TabStop = false;
// 
// pictureBox1
// 
this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
this.pictureBox1.Location = new System.Drawing.Point(4, 12);
this.pictureBox1.Name = "pictureBox1";
this.pictureBox1.Size = new System.Drawing.Size(45, 45);
this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
this.pictureBox1.TabIndex = 0;
this.pictureBox1.TabStop = false;
// 
// crvProlongedTransfusion
// 
this.crvProlongedTransfusion.ActiveViewIndex = -1;
this.crvProlongedTransfusion.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.crvProlongedTransfusion.DisplayGroupTree = false;
this.crvProlongedTransfusion.Location = new System.Drawing.Point(60, 40);
this.crvProlongedTransfusion.Name = "crvProlongedTransfusion";
this.crvProlongedTransfusion.ReportSource = null;
this.crvProlongedTransfusion.ShowCloseButton = false;
this.crvProlongedTransfusion.ShowExportButton = false;
this.crvProlongedTransfusion.ShowPrintButton = false;
this.crvProlongedTransfusion.ShowRefreshButton = false;
this.crvProlongedTransfusion.Size = new System.Drawing.Size(576, 404);
this.crvProlongedTransfusion.TabIndex = 0;
// 
// btnCancel
// 
this.btnCancel.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
this.btnCancel.Location = new System.Drawing.Point(564, 448);
this.btnCancel.Name = "btnCancel";
this.btnCancel.TabIndex = 2;
this.btnCancel.Text = "&Close";
this.btnCancel.Click += new System.EventHandler(this.btnCancel_Click);
// 
// btnPrint
// 
this.btnPrint.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
this.btnPrint.DialogResult = System.Windows.Forms.DialogResult.OK;
this.btnPrint.Image = ((System.Drawing.Image)(resources.GetObject("btnPrint.Image")));
this.btnPrint.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
this.btnPrint.Location = new System.Drawing.Point(484, 448);
this.btnPrint.Name = "btnPrint";
this.btnPrint.TabIndex = 1;
this.btnPrint.Text = "&Print";
this.btnPrint.Click += new System.EventHandler(this.btnPrint_Click);
// 
// printDialog1
// 
this.printDialog1.AllowPrintToFile = false;
// 
// FrmTransfusionComplicationsReport
// 
this.AcceptButton = this.btnPrint;
this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
this.CancelButton = this.btnCancel;
this.ClientSize = new System.Drawing.Size(642, 473);
this.Controls.Add(this.crvProlongedTransfusion);
this.Controls.Add(this.btnCancel);
this.Controls.Add(this.btnPrint);
this.Controls.Add(this.grpImage);
this.hlphelpChm.SetHelpKeyword(this, "Transfusion_Complications_Report.htm");
this.hlphelpChm.SetHelpNavigator(this, System.Windows.Forms.HelpNavigator.Topic);
this.MinimumSize = new System.Drawing.Size(600, 450);
this.Name = "FrmTransfusionComplicationsReport";
this.RequiredFieldsLabel = true;
this.hlphelpChm.SetShowHelp(this, true);
this.Text = "VBECS - Transfusion Complications Report";
this.Controls.SetChildIndex(this.vbecsLogo1, 0);
this.Controls.SetChildIndex(this.lblRequiredField, 0);
this.Controls.SetChildIndex(this.grpImage, 0);
this.Controls.SetChildIndex(this.btnPrint, 0);
this.Controls.SetChildIndex(this.btnCancel, 0);
this.Controls.SetChildIndex(this.crvProlongedTransfusion, 0);
this.grpImage.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
#region Methods
private void SetComponentProperties()
this.vbecsLogo1.Title = this.Text.Replace("VBECS - ","");
// CR 2693
// hlpHelp
// 
this.hlpHelp.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
// 
// hlphelpChm
// 
this.hlphelpChm.HelpNamespace = Environment.CurrentDirectory+"\\VBECS.chm";
//
this.SetThisHelpFile(this, Common.StrRes.HelpFiles.UC090.FrmTransfusionComplicationsReport());
private void CreateReport()
try
using( WaitCursor _cursor = new WaitCursor() )
this._transfusionComplicationsReport = this._report.GenerateReport(ThisUser.UserName);
//
this.crvProlongedTransfusion.EnableDrillDown = false;
this.crvProlongedTransfusion.ReportSource = this._transfusionComplicationsReport;
this.crvProlongedTransfusion.Zoom(1);
controls.VbecsFunction.RenameCrystalReportTab(this.crvProlongedTransfusion,"Transfusion Complications Report");
catch(CrystalDecisions.CrystalReports.Engine.OutOfLicenseException)
GuiMessenger.ShowMessageBox(Common.StrRes.SysErrMsg.Common.ReportsOutOfLicense());
return;
#endregion
#region Events / Event Handlers
private void btnCancel_Click(object sender, System.EventArgs e)
this.Close();
private void btnPrint_Click(object sender, System.EventArgs e)
System.Drawing.Printing.PrinterSettings settings = new System.Drawing.Printing.PrinterSettings();
printDialog1.PrinterSettings = settings;
if (printDialog1.ShowDialog(this) == DialogResult.OK)
this._transfusionComplicationsReport.PrintOptions.PrinterName = settings.PrinterName;
this._transfusionComplicationsReport.PrintToPrinter(settings.Copies,settings.Collate,settings.FromPage,settings.ToPage);;
#endregion
