using System;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Windows.Forms;
namespace EXT.DOMAIN.vbecs.GUI.controls
/// <summary>
/// Summary description for PatientClinicalDataDisplayPanel.
/// </summary>
public class PatientClinicalDataDisplayPanel : GUI.controls.BaseControl
#region Form Controls
private System.Windows.Forms.TabControl tabControl1;
private System.Windows.Forms.TabPage pageMedication;
private System.Windows.Forms.ListView lvMedProfileDisplay;
private System.Windows.Forms.ColumnHeader columnHeader5;
private System.Windows.Forms.ColumnHeader columnHeader6;
private System.Windows.Forms.DateTimePicker dtpMedEndDate;
private System.Windows.Forms.Label lblMedEndDate;
private System.Windows.Forms.Label lblMedStrtDate;
private System.Windows.Forms.DateTimePicker dtpMedStartDate;
private System.Windows.Forms.TabPage pageAdmissionInfo;
private System.Windows.Forms.TabPage pageLabResults;
private System.Windows.Forms.GroupBox grpMedDateRange;
private System.Windows.Forms.ListView lvAdmissionInfo;
private System.Windows.Forms.ColumnHeader columnHeader1;
private System.Windows.Forms.ColumnHeader columnHeader2;
private System.Windows.Forms.GroupBox grpAdmissionDateRange;
private System.Windows.Forms.DateTimePicker dtpAdmissionStartDate;
private System.Windows.Forms.DateTimePicker dtpAdmissionEndDate;
private System.Windows.Forms.Label lblAdmissionEndDate;
private System.Windows.Forms.Label lblAdmissionStartDate;
private System.Windows.Forms.ListView lvLabResults;
private System.Windows.Forms.ColumnHeader columnHeader3;
private System.Windows.Forms.ColumnHeader columnHeader4;
private System.Windows.Forms.GroupBox grpLabDateRange;
private System.Windows.Forms.DateTimePicker dtpLabStartDate;
private System.Windows.Forms.DateTimePicker dtpLabEndDate;
private System.Windows.Forms.Label lblLabEndDate;
private System.Windows.Forms.Label lblLabStartDate;
/// <summary> 
/// Required designer variable.
/// </summary>
private System.ComponentModel.Container components = null;
#endregion
#region Constructors/Dispose
/// <summary>
/// Constructor
/// </summary>
public PatientClinicalDataDisplayPanel()
// This call is required by the Windows.Forms Form Designer.
InitializeComponent();
SetComponentProperties();
/// <summary> 
/// Clean up any resources being used.
/// </summary>
protected override void Dispose( bool disposing )
if( disposing )
if(components != null)
components.Dispose();
base.Dispose( disposing );
#endregion
#region Component Designer generated code
/// <summary> 
/// Required method for Designer support - do not modify 
/// the contents of this method with the code editor.
/// </summary>
private void InitializeComponent()
this.tabControl1 = new System.Windows.Forms.TabControl();
this.pageMedication = new System.Windows.Forms.TabPage();
this.lvMedProfileDisplay = new System.Windows.Forms.ListView();
this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
this.grpMedDateRange = new System.Windows.Forms.GroupBox();
this.dtpMedStartDate = new System.Windows.Forms.DateTimePicker();
this.dtpMedEndDate = new System.Windows.Forms.DateTimePicker();
this.lblMedEndDate = new System.Windows.Forms.Label();
this.lblMedStrtDate = new System.Windows.Forms.Label();
this.pageAdmissionInfo = new System.Windows.Forms.TabPage();
this.lvAdmissionInfo = new System.Windows.Forms.ListView();
this.columnHeader1 = new System.Windows.Forms.ColumnHeader();
this.columnHeader2 = new System.Windows.Forms.ColumnHeader();
this.grpAdmissionDateRange = new System.Windows.Forms.GroupBox();
this.dtpAdmissionStartDate = new System.Windows.Forms.DateTimePicker();
this.dtpAdmissionEndDate = new System.Windows.Forms.DateTimePicker();
this.lblAdmissionEndDate = new System.Windows.Forms.Label();
this.lblAdmissionStartDate = new System.Windows.Forms.Label();
this.pageLabResults = new System.Windows.Forms.TabPage();
this.lvLabResults = new System.Windows.Forms.ListView();
this.columnHeader3 = new System.Windows.Forms.ColumnHeader();
this.columnHeader4 = new System.Windows.Forms.ColumnHeader();
this.grpLabDateRange = new System.Windows.Forms.GroupBox();
this.dtpLabStartDate = new System.Windows.Forms.DateTimePicker();
this.dtpLabEndDate = new System.Windows.Forms.DateTimePicker();
this.lblLabEndDate = new System.Windows.Forms.Label();
this.lblLabStartDate = new System.Windows.Forms.Label();
this.tabControl1.SuspendLayout();
this.pageMedication.SuspendLayout();
this.grpMedDateRange.SuspendLayout();
this.pageAdmissionInfo.SuspendLayout();
this.grpAdmissionDateRange.SuspendLayout();
this.pageLabResults.SuspendLayout();
this.grpLabDateRange.SuspendLayout();
this.SuspendLayout();
// 
// tabControl1
// 
this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.tabControl1.Controls.Add(this.pageMedication);
this.tabControl1.Controls.Add(this.pageAdmissionInfo);
this.tabControl1.Controls.Add(this.pageLabResults);
this.tabControl1.Location = new System.Drawing.Point(0, 0);
this.tabControl1.Multiline = true;
this.tabControl1.Name = "tabControl1";
this.tabControl1.SelectedIndex = 0;
this.tabControl1.Size = new System.Drawing.Size(288, 280);
this.tabControl1.SizeMode = System.Windows.Forms.TabSizeMode.FillToRight;
this.tabControl1.TabIndex = 0;
// 
// pageMedication
// 
this.pageMedication.Controls.Add(this.lvMedProfileDisplay);
this.pageMedication.Controls.Add(this.grpMedDateRange);
this.pageMedication.Location = new System.Drawing.Point(4, 23);
this.pageMedication.Name = "pageMedication";
this.pageMedication.Size = new System.Drawing.Size(280, 253);
this.pageMedication.TabIndex = 0;
this.pageMedication.Text = "Medication Profile";
// 
// lvMedProfileDisplay
// 
this.lvMedProfileDisplay.AccessibleDescription = "Medication Profile Display";
this.lvMedProfileDisplay.AccessibleName = "Medication Profile Display";
this.lvMedProfileDisplay.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lvMedProfileDisplay.BackColor = System.Drawing.SystemColors.InactiveBorder;
this.lvMedProfileDisplay.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
  this.columnHeader5,
  this.columnHeader6});
this.lvMedProfileDisplay.Location = new System.Drawing.Point(4, 48);
this.lvMedProfileDisplay.MultiSelect = false;
this.lvMedProfileDisplay.Name = "lvMedProfileDisplay";
this.lvMedProfileDisplay.Size = new System.Drawing.Size(272, 200);
this.lvMedProfileDisplay.TabIndex = 4;
this.lvMedProfileDisplay.View = System.Windows.Forms.View.Details;
// 
// columnHeader5
// 
this.columnHeader5.Text = "Medication";
this.columnHeader5.Width = 160;
// 
// columnHeader6
// 
this.columnHeader6.Text = "Date Issued";
this.columnHeader6.Width = 95;
// 
// grpMedDateRange
// 
this.grpMedDateRange.AccessibleDescription = "Medication Profile Date Range";
this.grpMedDateRange.AccessibleName = "Medication Profile Date Range";
this.grpMedDateRange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpMedDateRange.Controls.Add(this.dtpMedStartDate);
this.grpMedDateRange.Controls.Add(this.dtpMedEndDate);
this.grpMedDateRange.Controls.Add(this.lblMedEndDate);
this.grpMedDateRange.Controls.Add(this.lblMedStrtDate);
this.grpMedDateRange.Location = new System.Drawing.Point(4, 0);
this.grpMedDateRange.Name = "grpMedDateRange";
this.grpMedDateRange.Size = new System.Drawing.Size(272, 40);
this.grpMedDateRange.TabIndex = 1;
this.grpMedDateRange.TabStop = false;
// 
// dtpMedStartDate
// 
this.dtpMedStartDate.AccessibleDescription = "Start Date";
this.dtpMedStartDate.AccessibleName = "Start Date";
this.dtpMedStartDate.CustomFormat = "";
this.dtpMedStartDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpMedStartDate.Location = new System.Drawing.Point(56, 12);
this.dtpMedStartDate.Name = "dtpMedStartDate";
this.dtpMedStartDate.Size = new System.Drawing.Size(80, 20);
this.dtpMedStartDate.TabIndex = 2;
this.dtpMedStartDate.Value = new System.DateTime(2001, 10, 24, 15, 40, 57, 187);
// 
// dtpMedEndDate
// 
this.dtpMedEndDate.AccessibleDescription = "End Date";
this.dtpMedEndDate.AccessibleName = "End Date";
this.dtpMedEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.dtpMedEndDate.CustomFormat = "";
this.dtpMedEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpMedEndDate.Location = new System.Drawing.Point(188, 12);
this.dtpMedEndDate.Name = "dtpMedEndDate";
this.dtpMedEndDate.Size = new System.Drawing.Size(80, 20);
this.dtpMedEndDate.TabIndex = 3;
// 
// lblMedEndDate
// 
this.lblMedEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.lblMedEndDate.Location = new System.Drawing.Point(140, 12);
this.lblMedEndDate.Name = "lblMedEndDate";
this.lblMedEndDate.Size = new System.Drawing.Size(52, 20);
this.lblMedEndDate.TabIndex = 2;
this.lblMedEndDate.Text = "End Date";
this.lblMedEndDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblMedStrtDate
// 
this.lblMedStrtDate.Location = new System.Drawing.Point(4, 12);
this.lblMedStrtDate.Name = "lblMedStrtDate";
this.lblMedStrtDate.Size = new System.Drawing.Size(56, 20);
this.lblMedStrtDate.TabIndex = 1;
this.lblMedStrtDate.Text = "Start Date";
this.lblMedStrtDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// pageAdmissionInfo
// 
this.pageAdmissionInfo.Controls.Add(this.lvAdmissionInfo);
this.pageAdmissionInfo.Controls.Add(this.grpAdmissionDateRange);
this.pageAdmissionInfo.Location = new System.Drawing.Point(4, 23);
this.pageAdmissionInfo.Name = "pageAdmissionInfo";
this.pageAdmissionInfo.Size = new System.Drawing.Size(280, 253);
this.pageAdmissionInfo.TabIndex = 1;
this.pageAdmissionInfo.Text = "Admission Info";
// 
// lvAdmissionInfo
// 
this.lvAdmissionInfo.AccessibleDescription = "Admission Information";
this.lvAdmissionInfo.AccessibleName = "Admission Information";
this.lvAdmissionInfo.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lvAdmissionInfo.BackColor = System.Drawing.SystemColors.InactiveBorder;
this.lvAdmissionInfo.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
  this.columnHeader1,
  this.columnHeader2});
this.lvAdmissionInfo.Location = new System.Drawing.Point(4, 48);
this.lvAdmissionInfo.MultiSelect = false;
this.lvAdmissionInfo.Name = "lvAdmissionInfo";
this.lvAdmissionInfo.Size = new System.Drawing.Size(272, 200);
this.lvAdmissionInfo.TabIndex = 8;
this.lvAdmissionInfo.View = System.Windows.Forms.View.Details;
// 
// columnHeader1
// 
this.columnHeader1.Text = "Admission Reason";
this.columnHeader1.Width = 160;
// 
// columnHeader2
// 
this.columnHeader2.Text = "Admission Date";
this.columnHeader2.Width = 95;
// 
// grpAdmissionDateRange
// 
this.grpAdmissionDateRange.AccessibleDescription = "Admission Date Range";
this.grpAdmissionDateRange.AccessibleName = "Admission Date Range";
this.grpAdmissionDateRange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpAdmissionDateRange.Controls.Add(this.dtpAdmissionStartDate);
this.grpAdmissionDateRange.Controls.Add(this.dtpAdmissionEndDate);
this.grpAdmissionDateRange.Controls.Add(this.lblAdmissionEndDate);
this.grpAdmissionDateRange.Controls.Add(this.lblAdmissionStartDate);
this.grpAdmissionDateRange.Location = new System.Drawing.Point(4, 0);
this.grpAdmissionDateRange.Name = "grpAdmissionDateRange";
this.grpAdmissionDateRange.Size = new System.Drawing.Size(272, 40);
this.grpAdmissionDateRange.TabIndex = 5;
this.grpAdmissionDateRange.TabStop = false;
// 
// dtpAdmissionStartDate
// 
this.dtpAdmissionStartDate.AccessibleDescription = "Start Date";
this.dtpAdmissionStartDate.AccessibleName = "Start Date";
this.dtpAdmissionStartDate.CustomFormat = "";
this.dtpAdmissionStartDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpAdmissionStartDate.Location = new System.Drawing.Point(56, 12);
this.dtpAdmissionStartDate.Name = "dtpAdmissionStartDate";
this.dtpAdmissionStartDate.Size = new System.Drawing.Size(80, 20);
this.dtpAdmissionStartDate.TabIndex = 6;
this.dtpAdmissionStartDate.Value = new System.DateTime(2001, 10, 24, 15, 40, 57, 187);
// 
// dtpAdmissionEndDate
// 
this.dtpAdmissionEndDate.AccessibleDescription = "End Date";
this.dtpAdmissionEndDate.AccessibleName = "End Date";
this.dtpAdmissionEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.dtpAdmissionEndDate.CustomFormat = "";
this.dtpAdmissionEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpAdmissionEndDate.Location = new System.Drawing.Point(188, 12);
this.dtpAdmissionEndDate.Name = "dtpAdmissionEndDate";
this.dtpAdmissionEndDate.Size = new System.Drawing.Size(80, 20);
this.dtpAdmissionEndDate.TabIndex = 7;
// 
// lblAdmissionEndDate
// 
this.lblAdmissionEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.lblAdmissionEndDate.Location = new System.Drawing.Point(140, 12);
this.lblAdmissionEndDate.Name = "lblAdmissionEndDate";
this.lblAdmissionEndDate.Size = new System.Drawing.Size(52, 20);
this.lblAdmissionEndDate.TabIndex = 2;
this.lblAdmissionEndDate.Text = "End Date";
this.lblAdmissionEndDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblAdmissionStartDate
// 
this.lblAdmissionStartDate.Location = new System.Drawing.Point(4, 12);
this.lblAdmissionStartDate.Name = "lblAdmissionStartDate";
this.lblAdmissionStartDate.Size = new System.Drawing.Size(56, 20);
this.lblAdmissionStartDate.TabIndex = 1;
this.lblAdmissionStartDate.Text = "Start Date";
this.lblAdmissionStartDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// pageLabResults
// 
this.pageLabResults.Controls.Add(this.lvLabResults);
this.pageLabResults.Controls.Add(this.grpLabDateRange);
this.pageLabResults.Location = new System.Drawing.Point(4, 23);
this.pageLabResults.Name = "pageLabResults";
this.pageLabResults.Size = new System.Drawing.Size(280, 253);
this.pageLabResults.TabIndex = 2;
this.pageLabResults.Text = "Lab Results";
// 
// lvLabResults
// 
this.lvLabResults.AccessibleDescription = "Lab Results";
this.lvLabResults.AccessibleName = "Lab Results";
this.lvLabResults.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
| System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.lvLabResults.BackColor = System.Drawing.SystemColors.InactiveBorder;
this.lvLabResults.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
   this.columnHeader3,
   this.columnHeader4});
this.lvLabResults.Location = new System.Drawing.Point(4, 48);
this.lvLabResults.MultiSelect = false;
this.lvLabResults.Name = "lvLabResults";
this.lvLabResults.Size = new System.Drawing.Size(272, 200);
this.lvLabResults.TabIndex = 12;
this.lvLabResults.View = System.Windows.Forms.View.Details;
// 
// columnHeader3
// 
this.columnHeader3.Text = "Lab Result";
this.columnHeader3.Width = 160;
// 
// columnHeader4
// 
this.columnHeader4.Text = "Date Entered";
this.columnHeader4.Width = 95;
// 
// grpLabDateRange
// 
this.grpLabDateRange.AccessibleDescription = "Lab Date Range";
this.grpLabDateRange.AccessibleName = "Lab Date Range";
this.grpLabDateRange.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
| System.Windows.Forms.AnchorStyles.Right)));
this.grpLabDateRange.Controls.Add(this.dtpLabStartDate);
this.grpLabDateRange.Controls.Add(this.dtpLabEndDate);
this.grpLabDateRange.Controls.Add(this.lblLabEndDate);
this.grpLabDateRange.Controls.Add(this.lblLabStartDate);
this.grpLabDateRange.Location = new System.Drawing.Point(4, 0);
this.grpLabDateRange.Name = "grpLabDateRange";
this.grpLabDateRange.Size = new System.Drawing.Size(272, 40);
this.grpLabDateRange.TabIndex = 9;
this.grpLabDateRange.TabStop = false;
// 
// dtpLabStartDate
// 
this.dtpLabStartDate.AccessibleDescription = "Start Date";
this.dtpLabStartDate.AccessibleName = "Start Date";
this.dtpLabStartDate.CustomFormat = "";
this.dtpLabStartDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpLabStartDate.Location = new System.Drawing.Point(56, 12);
this.dtpLabStartDate.Name = "dtpLabStartDate";
this.dtpLabStartDate.Size = new System.Drawing.Size(80, 20);
this.dtpLabStartDate.TabIndex = 10;
this.dtpLabStartDate.Value = new System.DateTime(2001, 10, 24, 15, 40, 57, 187);
// 
// dtpLabEndDate
// 
this.dtpLabEndDate.AccessibleDescription = "End Date";
this.dtpLabEndDate.AccessibleName = "End Date";
this.dtpLabEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.dtpLabEndDate.CustomFormat = "";
this.dtpLabEndDate.Format = System.Windows.Forms.DateTimePickerFormat.Custom;
this.dtpLabEndDate.Location = new System.Drawing.Point(188, 12);
this.dtpLabEndDate.Name = "dtpLabEndDate";
this.dtpLabEndDate.Size = new System.Drawing.Size(80, 20);
this.dtpLabEndDate.TabIndex = 11;
// 
// lblLabEndDate
// 
this.lblLabEndDate.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
this.lblLabEndDate.Location = new System.Drawing.Point(140, 12);
this.lblLabEndDate.Name = "lblLabEndDate";
this.lblLabEndDate.Size = new System.Drawing.Size(52, 20);
this.lblLabEndDate.TabIndex = 2;
this.lblLabEndDate.Text = "End Date";
this.lblLabEndDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// lblLabStartDate
// 
this.lblLabStartDate.Location = new System.Drawing.Point(4, 12);
this.lblLabStartDate.Name = "lblLabStartDate";
this.lblLabStartDate.Size = new System.Drawing.Size(56, 20);
this.lblLabStartDate.TabIndex = 1;
this.lblLabStartDate.Text = "Start Date";
this.lblLabStartDate.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
// 
// PatientClinicalDataDisplayPanel
// 
this.Controls.Add(this.tabControl1);
this.Font = new System.Drawing.Font("Arial", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
this.Name = "PatientClinicalDataDisplayPanel";
this.Size = new System.Drawing.Size(288, 280);
this.tabControl1.ResumeLayout(false);
this.pageMedication.ResumeLayout(false);
this.grpMedDateRange.ResumeLayout(false);
this.pageAdmissionInfo.ResumeLayout(false);
this.grpAdmissionDateRange.ResumeLayout(false);
this.pageLabResults.ResumeLayout(false);
this.grpLabDateRange.ResumeLayout(false);
this.ResumeLayout(false);
#endregion
#region Methods
private void SetComponentProperties()
System.DateTime  _currentDate;
//set custom date format
this.dtpAdmissionEndDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpAdmissionStartDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpLabEndDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpLabStartDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpMedEndDate.CustomFormat = Common.VBECSDateTime.DateFormat;
this.dtpMedStartDate.CustomFormat = Common.VBECSDateTime.DateFormat;
//set current date value based on the division time zone
_currentDate = BOL.VBECSDateTime.GetDivisionCurrentDateTime();
this.dtpAdmissionEndDate.Value = _currentDate;
this.dtpAdmissionStartDate.Value = _currentDate;
this.dtpLabEndDate.Value = _currentDate;
this.dtpLabStartDate.Value = _currentDate;
this.dtpMedEndDate.Value = _currentDate;
this.dtpMedStartDate.Value = _currentDate;
#endregion
