using System;
using System.Net;
using EXT.DOMAIN.vbecs.DAL.VistALink.OpenLibrary;
namespace EXT.DOMAIN.vbecs.DAL.VistALink.Listener.Core
/// <summary>
/// Class VistALinkRpcManager
/// </summary>
public class VistALinkRpcManager : RpcManager
///<Developers>
///
<Developer></Developer>
///</Developers>
///<SiteName>Hines OIFO</SiteName>
///<CreationDate>7/30/2010</CreationDate>
///<TestCases>
///
///<Case type="0" testid ="9084"> 
///
<ExpectedInput>Valid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///<Case type="1" testid ="9085"> 
///
<ExpectedInput>Invalid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///</TestCases>
///<Update></Update>
///<ArchivePlan></ArchivePlan>
///<Interfaces></Interfaces>
///
/// <summary>
/// Constructor
/// </summary>
public VistALinkRpcManager() : base() {}
///<Developers>
///
<Developer></Developer>
///</Developers>
///<SiteName>Hines OIFO</SiteName>
///<CreationDate>7/30/2010</CreationDate>
///<TestCases>
///
///<Case type="0" testid ="9082"> 
///
<ExpectedInput>Valid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///<Case type="1" testid ="9083"> 
///
<ExpectedInput>Invalid</ExpectedInput>
///
<ExpectedOutput></ExpectedOutput>
///
</Case>
///
///</TestCases>
///<Update></Update>
///<ArchivePlan></ArchivePlan>
///<Interfaces></Interfaces>
///
/// <summary>
/// ExecuteRpcRequest
/// </summary>
/// <param name="request"></param>
/// <param name="clientIP"></param>
/// <returns></returns>
public string ExecuteRpcRequest( RpcRequest request, IPAddress clientIP )
if( request == null )
throw( new ArgumentNullException( "request" ) );
if( clientIP == null )
throw( new ArgumentNullException( "clientIP" ) );
object _baseResult = 
base.ExecutePublishedProcedure( 
request.RpcName, 
new CallerSecurityEvidence( request.RpcSecurityContext, clientIP ),
request.Parameters.GetParametersValues() );
return _baseResult != null ? _baseResult.ToString() : null;
