using System;
namespace EXT.DOMAIN.vbecs.DAL.VistALink.OpenLibrary
/// <summary>
/// This exception is thrown when fault message indicating that RPC has timed out 
/// is received from M server.
/// </summary>
public class RpcTimeoutException : RpcFaultException
/// <summary>
/// This constructor accepts fault info object containing 
/// information about a fault occured at server side.
/// </summary>
/// <param name="faultInfo">
///
Fault info object containing information about a fault
///
occured at server side.
///
</param>
public RpcTimeoutException( FaultInfo faultInfo ) 
: base( faultInfo ) {}
