using System;
namespace EXT.DOMAIN.vbecs.DAL.VistALink.OpenLibrary
/// <summary>
/// This class represents exceptions that occur when VistALink security 
/// fault messages are received. 
/// </summary>
public class SecurityFaultException : VistALinkFaultException
/// <summary>
/// This constructor accepts fault info object containing 
/// information about a fault occured at server side.
/// </summary>
/// <param name="faultInfo">
///
Fault info object containing information about a fault
///
occured at server side.
///
</param>
public SecurityFaultException( FaultInfo faultInfo)
: base( faultInfo ) {}
