using System;
namespace EXT.DOMAIN.vbecs.DAL.VistALink.OpenLibrary
/// <summary>
/// VistALink base exception. All VistALink exceptions must be derived from it.
/// </summary>
public class VistALinkException : ApplicationException
/// <summary>
/// Default constructor parameterless constructor. Should be avoided whenever possible.
/// </summary>
protected VistALinkException() 
: base() {}
/// <summary>
/// This constructor allows specifying an error message upon throwing an exception.
/// </summary>
/// <param name="message">Human-readable message describing the error.</param>
public VistALinkException( string message ) 
: base( message ) {}
/// <summary>
/// This constructor allows adding inner exception that caused this exception.
/// </summary>
/// <param name="message">Human-readable message describing the error.</param>
/// <param name="innerException">Inner exception that caused this exception.</param>
public VistALinkException( string message, Exception innerException )
: base( message, innerException ){}
